curl https://api.quintai.dev/v1/agents \
-H "Authorization: Bearer qt_deploy_YOUR_TOKEN"
import requests
response = requests.get(
"https://api.quintai.dev/v1/agents",
headers={"Authorization": "Bearer qt_deploy_YOUR_TOKEN"},
)
print(response.json())
{
"agents": [
{
"id": "claude-code",
"platform": "claude-code",
"signing_id": "com.anthropic.claude-code",
"first_seen": "2026-04-10T09:00:00Z",
"last_seen": "2026-04-12T15:30:00Z"
},
{
"id": "cursor",
"platform": "cursor",
"signing_id": "com.todesktop.cursor",
"first_seen": "2026-04-11T10:00:00Z",
"last_seen": "2026-04-12T14:00:00Z"
}
]
}
Agent Endpoints
List Agents
List all AI agents detected across your fleet.
GET
/
v1
/
agents
curl https://api.quintai.dev/v1/agents \
-H "Authorization: Bearer qt_deploy_YOUR_TOKEN"
import requests
response = requests.get(
"https://api.quintai.dev/v1/agents",
headers={"Authorization": "Bearer qt_deploy_YOUR_TOKEN"},
)
print(response.json())
{
"agents": [
{
"id": "claude-code",
"platform": "claude-code",
"signing_id": "com.anthropic.claude-code",
"first_seen": "2026-04-10T09:00:00Z",
"last_seen": "2026-04-12T15:30:00Z"
},
{
"id": "cursor",
"platform": "cursor",
"signing_id": "com.todesktop.cursor",
"first_seen": "2026-04-11T10:00:00Z",
"last_seen": "2026-04-12T14:00:00Z"
}
]
}
Requires
Authorization: Bearer header with a deploy token (qt_deploy_*) or Supabase JWT.Response
array
curl https://api.quintai.dev/v1/agents \
-H "Authorization: Bearer qt_deploy_YOUR_TOKEN"
import requests
response = requests.get(
"https://api.quintai.dev/v1/agents",
headers={"Authorization": "Bearer qt_deploy_YOUR_TOKEN"},
)
print(response.json())
{
"agents": [
{
"id": "claude-code",
"platform": "claude-code",
"signing_id": "com.anthropic.claude-code",
"first_seen": "2026-04-10T09:00:00Z",
"last_seen": "2026-04-12T15:30:00Z"
},
{
"id": "cursor",
"platform": "cursor",
"signing_id": "com.todesktop.cursor",
"first_seen": "2026-04-11T10:00:00Z",
"last_seen": "2026-04-12T14:00:00Z"
}
]
}